1. Users
Cold Mail Reseller
  • Cold Mail Reseller API Documentation
  • Users
    • Retrieve all users
      GET
    • Get User Details
      GET
    • Create User
      POST
    • Update User Details
      PUT
    • Delete User
      DELETE
  • Geo
    • Get Countries List
      GET
    • Get States of a Country
      GET
  • Domains
    • Renewal
      • Domain Renewal Overview
      • Get domain renewal pricing
      • Renew domain
      • Enable or disable domain auto-renew
    • Get Domains For User
      GET
    • Suggest Available Domains
      POST
    • Get Single Available Domain
      POST
    • Check If Google Workspace Exists
      POST
    • Add domain forwarding
      POST
    • Add email forwarding
      POST
    • Add Google Client ID to Domain
      POST
    • Remove domains
      DELETE
  • Dns
    • Get dns records for a domain
      GET
    • Adds dns record
      POST
    • Update dns records
      PUT
    • Delete dns records
      DELETE
  • Orders
    • Get Order Details
      GET
    • Get Order Status
      GET
    • Creates order json
      POST
    • Order mailboxes (json)
      POST
    • Process the Order
      POST
    • Create Order
      POST
    • Add mailboxes to a subscription
      POST
  • Mailboxes
    • Get mailboxes for user
    • Get mailbox details by id
    • Get Mailbox Admin Details
    • Update mailbox details
    • Remove mailbox
  • Subscriptions
    • Get All Subscriptions
    • Renew Subscriptions
    • Toggle Auto renewal
    • Cancel Subscription
  • Webhooks
    • Overview
    • Events
      • Domain Events
      • Subscription Events
      • Mailbox Events
      • Prewarmup Events
  • Export
    • Re-export a mailbox (Oauth)
  • Pre-warmup
    • Get all pre warmed up mailboxes
    • Order pre-warmedup mailboxes
  • Get Wallet Details
    GET
  • Send error
    POST
  1. Users

Get User Details

GET
/users
Retrieves detailed information about a specific user based on their unique identifier.

Query Parameters#

NameTypeRequiredDescriptionExample
userIdstringYesUnique identifier for the userBVZGM5TE9BMP3PP0VWGW943RGV1B

Request

Authorization
API Key
Add parameter in header
cmr-x-api-key
Example:
cmr-x-api-key: ********************
or
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://customers.coldmailreseller.com/api/v1/integration/users?userId=BVZGM5TE9BMP3PP0VWGW943RGV1K' \
--header 'cmr-x-api-key: <api-key>'

Responses

🟢200Success
application/json
Body

Example
{
    "status": 200,
    "message": "User details fetched successfully",
    "data": {
        "id": "PWM7Y25RYZ450YNM8K8FX9GK5AHX",
        "firstName": "John",
        "lastName": "Doe",
        "email": "john12@company.com",
        "initialSetupState": null,
        "serviceProvider": "GOOGLE",
        "partnerMailboxPrice": 7,
        "billingRecords": {
            "firstName": "John",
            "lastName": "Doe",
            "company": "Innovatech Solutions",
            "addressLineOne": "456 Market Street",
            "addressLineTwo": "Floor 2",
            "addressLineThree": "Building 8",
            "city": "San Francisco",
            "state": "California",
            "country": "US",
            "postalCode": "94105",
            "phoneCc": "1",
            "phone": "4155556789",
            "languagePreference": "en",
            "createdAt": "2025-01-25T08:32:33.381Z",
            "updatedAt": "2025-01-25T08:37:23.374Z"
        }
    }
}
🟠400Bad Request
🟠404User Not Found
Modified at 2025-10-29 17:03:38
Previous
Retrieve all users
Next
Create User
Built with